{% extends '_base.html' %}
{% load static %}
{% load crispy_forms_tags %}
{% block title %} Edit Employee Details {% endblock title %}

{% block content %}
</div>
</div>
<section class="hero is-link has-text-centered">
    <div class="hero-body">
        <p class="title">
            {{emp.first_name}} {{emp.last_name}}
        </p>
        <p class="subtitle">
            Edit details
        </p>
    </div>
</section>

<div class="column is-one-third is-offset-one-third">
    <div class="section card">
        <form action="{% url 'edit_employee' empid=emp.emp_id %}" method="POST" enctype="multipart/form-data">
            {% csrf_token%}
            {% if user.is_superuser %}
            <p class="is-size-5 has-text-weight-bold">Employment Details</p>
            <div class="m m-5">
            {{forms.OnBoardEmployeeDetailsForm|crispy}}
            </div>
            {% endif %}
            <hr>
            <p class="is-size-5 has-text-weight-bold">Personal Details</p>
            <div class="m m-5">
            {{forms.OnBoardPersonalFrom|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">Dependent Details</p>
            <div class="m m-5">
            {{forms.OnBoardDependentForm|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">Emergency contact</p>
            <div class="m m-5">
            {{forms.OnBoardEmergencyContactForm|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">Affiliation Details</p>
            <div class="m m-5">
            {{forms.OnBoardAffiliatedInstitutionForm|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">Highest Education Qualification</p>
            <div class="m m-5">
            {{forms.OnBoardEducationDetailsForm|crispy}}
            </div>
            <hr>
            <p class="is-size-5 has-text-weight-bold">VISA Details</p>
            <div class="m m-5">
            {{forms.OnBoardVisa|crispy}}
            </div>
            {% if user.is_superuser %}
            {% if emp.new == False %}
            <hr>
            <p class="is-size-5 has-text-weight-bold">Leave Details</p>
            <div class="m m-5">
            {{topup_form|crispy}}
            </div>
            {% endif %}
            {% endif %}
            <button type=" submit" class="button is-link"> Save </button>
        </form>
    </div>
</div>
{% endblock content %}